> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paycashless.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup bank account

> Lookup bank account



## OpenAPI

````yaml GET /v1/banks/account_lookup
openapi: 3.0.0
info:
  title: Paycashless API
  version: 1.1.0
servers:
  - url: https://api.paycashless.com
    description: Production
security: []
paths:
  /v1/banks/account_lookup:
    get:
      tags:
        - banks
      description: Lookup bank account
      parameters:
        - schema:
            type: string
            example: '0123456789'
            description: The account number of the bank account
          required: true
          description: The account number of the bank account
          name: accountNumber
          in: query
        - schema:
            type: string
            example: '044'
            description: The nibss or cbn bank code of the bank
          required: true
          description: The nibss or cbn bank code of the bank
          name: bankCode
          in: query
        - schema:
            type: string
            minLength: 1
            description: SHA-512 HMAC signature of the request payload using the API secret
            example: >-
              5e73d044c44d733fcf819ad3409aaaddca840d421b69cb0b04e2c750fc62ece7526d36296237663ad1f06f62a730c0466516507196b3ce6567493cc52a7cf63d
          required: true
          description: SHA-512 HMAC signature of the request payload using the API secret
          name: Request-Signature
          in: header
        - schema:
            type: string
            pattern: ^\d{10}$
            description: UNIX timestamp when the request was created (in seconds)
            example: '1712336881'
          required: true
          description: UNIX timestamp when the request was created (in seconds)
          name: Request-Timestamp
          in: header
      responses:
        '200':
          description: Bank account resolved
          content:
            application/json:
              schema:
                type: object
                properties:
                  accountNumber:
                    type: string
                  accountName:
                    type: string
                  bank:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      cbnCode:
                        type: string
                        nullable: true
                      nibssCode:
                        type: string
                        nullable: true
                    required:
                      - id
                      - name
                      - cbnCode
                      - nibssCode
                required:
                  - accountNumber
                  - accountName
                  - bank

````